Cyberduck Mountain Duck CLI

#7625 closed defect (duplicate)

Broken pipe on upload

Reported by: ivanhassan Owned by: ivanhassan
Priority: normal Milestone: 4.5
Component: s3 Version: 4.4.2
Severity: normal Keywords: broken pipe connection failed
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Hi

As requested on the previous ticket (which was closed before confirming the issue was resolved), I have updated to v4.4.2 snapshot and re-attempted to upload to S3 in Sydney.

I get the following error after a few minutes into transferring data;

Connection has been shutdown: javax.net.ssl.SSLException: java.net.SocketException: Broken pipe.

(see screen grab).

My Macpro is running 10.6.8 and is fully patched according to Apple Updates. I have rebooted a few times just in case too.

Please advise on how to proceed? Debug logging etc?

Thanks

Ivan

Attachments (1)

Screen shot 2013-11-20 at 12.56.53.png (24.1 KB) - added by ivanhassan on Nov 20, 2013 at 12:03:29 AM.
error message v4.4.2

Download all attachments as: .zip

Change History (4)

Changed on Nov 20, 2013 at 12:03:29 AM by ivanhassan

error message v4.4.2

comment:1 Changed on Nov 20, 2013 at 12:04:17 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Reopened #7621.

comment:2 Changed on Jul 15, 2014 at 3:23:36 PM by dkocher

  • Component changed from core to s3
  • Summary changed from Connection Failed - Broken Pipe with v4.4.2 to Broken pipe on upload

comment:3 Changed on Jul 15, 2014 at 4:07:46 PM by dkocher

  • Milestone set to 4.5

Duplicate for #7621. Fix in r14903 with Expect: 100-continue header for PUT requests that resolves broken pipe failures for uploads to buckets where a 307 Temporary Redirect is returned.

Note: See TracTickets for help on using tickets.
swiss made software